Bug 506544 - condor_restart/reconfig can't handle all daemons
condor_restart/reconfig can't handle all daemons
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
low Severity medium
: 1.2
: ---
Assigned To: Robert Rati
ppecka
:
Depends On:
Blocks: 527551
  Show dependency treegraph
 
Reported: 2009-06-17 13:17 EDT by Robert Rati
Modified: 2009-12-03 04:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid bug fix C: The condor_restart/reconfig tools would fail to communicate with several condor daemons C: 'Can't connect to unknown daemon' was printed F: Condor tools and collector were updated to work with generic adtypes R: The condor_restart/reconfig tools will communicate with all daemons that register with the collector The condor_restart/reconfig tools were failing to communicate with several condor daemons, printing the message 'Can't connect to unknown daemon'. The Condor tools and collector were updated to work with generic adtypes, and the condor_restart/reconfig tools now communicate successfully with all daemons that register with the collector.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:19:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2009-06-17 13:17:01 EDT
Description of problem:
The condor_restart/condor_reconfig tools are unable to handle all the condor daemons with the -subsystem option:

$ condor_restart -subsystem job_router
Can't connect to unknown daemon

$ condor_reconfig -subsystem job_router
Can't connect to unknown daemon

condor_on and condor_off work correctly with -subsystem job_router.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2009-08-17 11:03:31 EDT
Changes have been committed upstream to fix this issue.  Fix should be in the next build of condor (condor-7.3.2-0.4+)
Comment 3 Irina Boverman 2009-10-29 10:29:48 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.
Comment 4 Lana Brindley 2009-11-04 22:53:25 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,8 @@
-please see bug summary.+Grid bug fix
+
+C: The condor_restart/condor_reconfig tools could not handle all the condor daemons with the -subsystem option
+C: Condor reported that it could connect to the requested daemon
+F:
+R: 
+
+NEED MORE INFO FOR RELNOTE
Comment 5 Robert Rati 2009-11-05 12:48:31 EST
The condor_status/restart/reconfig/etc tools would not operate upon all condor daemons.  There was a limited subset for which they would work (master, schedd, startd, negotiator), but daemons such as the collector, job_router, had, etc wouldn't work.  All daemons that register with the collector (ie are visible via condor_status -any) can be acted upon by using the -subsystem parameter to the condor_* commands.
Comment 6 Lana Brindley 2009-11-08 18:31:03 EST
Thanks Rob. Still looking for Fix and Result information.

LKB
Comment 7 Lana Brindley 2009-11-08 18:31:03 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,6 +1,7 @@
 Grid bug fix
 
-C: The condor_restart/condor_reconfig tools could not handle all the condor daemons with the -subsystem option
+C: The condor_restart/condor_reconfig tools could not handle the condor master, schedd,
+startd, and negotiator daemons with the -subsystem option
 C: Condor reported that it could connect to the requested daemon
 F:
 R:
Comment 8 Robert Rati 2009-11-09 15:52:44 EST
+C: The condor_restart/reconfig tools would fail to communicate with several condor daemons
C: 'Can't connect to unknown daemon' was printed
F: Condor tools and collector were updated to work with generic adtypes
R: The condor_restart/reconfig tools will communicate with all daemons that register with the collector
Comment 9 ppecka 2009-11-10 12:04:41 EST
The issue has been fixed on RHEL 4.8 / 5.4 i386 / x86_64 on packages:

# rpm -qa | grep condor

condor-7.4.1-0.4.el5
condor-debuginfo-7.4.1-0.4.el5
condor-qmf-plugins-7.4.1-0.4.el5
condor-remote-configuration-1.0-23.el5
condor-remote-configuration-server-1.0-23.el5

-> VERIFIED
Comment 10 Lana Brindley 2009-11-11 15:18:29 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,9 +1,8 @@
 Grid bug fix
 
-C: The condor_restart/condor_reconfig tools could not handle the condor master, schedd,
-startd, and negotiator daemons with the -subsystem option
-C: Condor reported that it could connect to the requested daemon
-F:
-R: 
+C: The condor_restart/reconfig tools would fail to communicate with several condor daemons
+C: 'Can't connect to unknown daemon' was printed
+F: Condor tools and collector were updated to work with generic adtypes
+R: The condor_restart/reconfig tools will communicate with all daemons that register with the collector  
 
-NEED MORE INFO FOR RELNOTE+The condor_restart/reconfig tools were failing to communicate with several condor daemons, printing the message 'Can't connect to unknown daemon'. The Condor tools and collector were updated to work with generic adtypes, and the condor_restart/reconfig tools now communicate successfully with all daemons that register with the collector.
Comment 12 errata-xmlrpc 2009-12-03 04:19:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html

Note You need to log in before you can comment on or make changes to this bug.